package main.scala

import main.scala.utils.ArgParser
import main.scala.domain.Universidade

object Main {
    def main(args: Array[String]): Unit = {
        val parser = new ArgParser(args)
        val univ = new Universidade()
        univ.leDocentes(parser.valor("-d"))
        univ.leDisciplinas(parser.valor("-r"))
        univ.leProducoes(parser.valor("-p"))
        univ.leOrientGraduacao(parser.valor("-og"))
        univ.leOrientPosGraduacao(parser.valor("-op"))
        univ.escrevePAD("1-pad.csv")
        univ.escreveAlocacao("3-alocacao.csv")
    }
}