package main.scala.domain

class Disciplina(val docente: Docente, val codigo: String, val nome: String, val cargaSemestral: Int) extends Ordered[Disciplina] {
    def compare(that: Disciplina): Int = {
        if (this.docente.nome == that.docente.nome) {
            this.codigo.compare(that.codigo)
        } else {
            this.docente.nome.compare(that.docente.nome)
        }
    }

}
